package com.tmerclub.cloud.api.user.dto;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author gaozijie
 * @date 2023-05-23
 */
public class UserExtensionDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 通联会员创建
     */
    private Integer allinpayCreate;
    /**
     * 通联是否实名认证
     */
    private Integer allinpayRealNameSet;
    /**
     * 通联是否绑定手机号
     */
    private Integer allinpayPhoneBind;
    /**
     * 通联是否设置支付密码
     */
    private Integer allinpayPayPwdSet;
    /**
     * 通联是否签订提现协议
     */
    private Integer allinpayProtocolSign;
    /**
     * 通联是否绑定支付标识
     */
    private Integer allinpayPayAcctBind;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getAllinpayCreate() {
        return allinpayCreate;
    }

    public void setAllinpayCreate(Integer allinpayCreate) {
        this.allinpayCreate = allinpayCreate;
    }

    public Integer getAllinpayRealNameSet() {
        return allinpayRealNameSet;
    }

    public void setAllinpayRealNameSet(Integer allinpayRealNameSet) {
        this.allinpayRealNameSet = allinpayRealNameSet;
    }

    public Integer getAllinpayPhoneBind() {
        return allinpayPhoneBind;
    }

    public void setAllinpayPhoneBind(Integer allinpayPhoneBind) {
        this.allinpayPhoneBind = allinpayPhoneBind;
    }

    public Integer getAllinpayPayPwdSet() {
        return allinpayPayPwdSet;
    }

    public void setAllinpayPayPwdSet(Integer allinpayPayPwdSet) {
        this.allinpayPayPwdSet = allinpayPayPwdSet;
    }

    public Integer getAllinpayProtocolSign() {
        return allinpayProtocolSign;
    }

    public void setAllinpayProtocolSign(Integer allinpayProtocolSign) {
        this.allinpayProtocolSign = allinpayProtocolSign;
    }

    public Integer getAllinpayPayAcctBind() {
        return allinpayPayAcctBind;
    }

    public void setAllinpayPayAcctBind(Integer allinpayPayAcctBind) {
        this.allinpayPayAcctBind = allinpayPayAcctBind;
    }

    @Override
    public String toString() {
        return "UserExtensionDTO{" +
                "userId=" + userId +
                ", allinpayCreate=" + allinpayCreate +
                ", allinpayRealNameSet=" + allinpayRealNameSet +
                ", allinpayPhoneBind=" + allinpayPhoneBind +
                ", allinpayPayPwdSet=" + allinpayPayPwdSet +
                ", allinpayProtocolSign=" + allinpayProtocolSign +
                ", allinpayPayAcctBind=" + allinpayPayAcctBind +
                '}';
    }
}
